This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 863348 - ValueError: Cannot remove non-leaf device 'vda2'
ValueError: Cannot remove non-leaf device 'vda2'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:05405b0951e42b4df9029131ea7...
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-10-05 03:56 EDT by Kamil Páral
Modified: 2012-10-25 02:16 EDT (History)
14 users (show)

See Also:
Fixed In Version: anaconda-18.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-25 02:16:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (506.29 KB, text/plain)
2012-10-05 03:56 EDT, Kamil Páral
no flags Details
File: environ (882 bytes, text/plain)
2012-10-05 03:56 EDT, Kamil Páral
no flags Details
File: type (9 bytes, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: storage.log (227.88 KB, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: version (2 bytes, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: program.log (110.92 KB, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: product (6 bytes, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: anaconda.log (4.02 KB, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: release (33 bytes, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details
File: messages (130.90 KB, text/plain)
2012-10-05 03:57 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-10-05 03:56:52 EDT
Description of problem:
My oh my. I just wanted to use the whole disk, it's now pretty difficult. I set action to Delete for all current partitions and hit Reclaim space.

Version-Release number of selected component:
anaconda-18.12-1.fc18.i686

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.0-1.fc18.i686

description:
:The following was filed automatically by anaconda:
:anaconda 18.12 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 375, in _removeDevice
:    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 425, in registerAction
:    self._removeDevice(action.device)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 223, in _scheduleActions
:    self.storage.devicetree.registerAction(ActionDestroyDevice(device))
:ValueError: Cannot remove non-leaf device 'vda2'
Comment 1 Kamil Páral 2012-10-05 03:56:57 EDT
Created attachment 622008 [details]
File: anaconda-tb
Comment 2 Kamil Páral 2012-10-05 03:56:59 EDT
Created attachment 622009 [details]
File: environ
Comment 3 Kamil Páral 2012-10-05 03:57:01 EDT
Created attachment 622010 [details]
File: type
Comment 4 Kamil Páral 2012-10-05 03:57:03 EDT
Created attachment 622011 [details]
File: ifcfg.log
Comment 5 Kamil Páral 2012-10-05 03:57:07 EDT
Created attachment 622012 [details]
File: storage.log
Comment 6 Kamil Páral 2012-10-05 03:57:09 EDT
Created attachment 622013 [details]
File: version
Comment 7 Kamil Páral 2012-10-05 03:57:12 EDT
Created attachment 622014 [details]
File: program.log
Comment 8 Kamil Páral 2012-10-05 03:57:14 EDT
Created attachment 622015 [details]
File: product
Comment 9 Kamil Páral 2012-10-05 03:57:16 EDT
Created attachment 622016 [details]
File: anaconda.log
Comment 10 Kamil Páral 2012-10-05 03:57:18 EDT
Created attachment 622017 [details]
File: hashmarkername
Comment 11 Kamil Páral 2012-10-05 03:57:20 EDT
Created attachment 622018 [details]
File: cmdline_file
Comment 12 Kamil Páral 2012-10-05 03:57:22 EDT
Created attachment 622019 [details]
File: release
Comment 13 Kamil Páral 2012-10-05 03:57:26 EDT
Created attachment 622020 [details]
File: messages
Comment 15 Adam Williamson 2012-10-05 15:33:25 EDT
Tried to delete an existing /boot partition (ext4) and LV containing a Fedora install to reclaim space for a new install, using the guided dialog (not custom part).

Package: anaconda-18.12
Architecture: x86_64
OS Release: Fedora release 18-Beta-TC2
Comment 16 Adam Williamson 2012-10-05 15:35:12 EDT
Criterion is "The installer must be able to complete an installation using automatic partitioning to any sufficiently large target disk, whether unformatted, empty, or containing any kind of existing data" (Alpha).
Comment 17 Adam Williamson 2012-10-05 18:51:14 EDT
for anyone playing along at home, this isn't fixed in 18.13/TC3, don't expect it to be.
Comment 18 satellitgo 2012-10-05 23:45:08 EDT
For TC2 DVD; Work arround:
Format the HD first with Disk Utility "disks" in gnome (MBR)
-(eternally or from a live desktop CD) creating an Empty HD 
Select this HD in the anaconda spoke and click [Done]
This triggers autoformat of the HD
Install completes sucessfully (gnome)
This triggers bug: Anaconda hangs when 'Configuring installed system'
 https://bugzilla.redhat.com/show_bug.cgi?id=862801
power off and reboot to complete install
Comment 19 Alex Lancaster 2012-10-07 14:20:28 EDT
trying to delete existing partitions from previous install

Package: anaconda-18.12
Architecture: x86_64
OS Release: Fedora release 18-Beta-TC2
Comment 20 Adam Williamson 2012-10-10 14:45:12 EDT
Discussed at 2012-10-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-10/f18beta-blocker-review-3.2012-10-10-16.05.log.txt . Accepted as a blocker per criterion "The installer must be able to complete an installation using automatic partitioning to any sufficiently large target disk, whether unformatted, empty, or containing any kind of existing data".
Comment 21 Luya Tshimbalanga 2012-10-10 16:01:52 EDT
Attempt of wiping of current linux partition.

Package: anaconda-18.14
Architecture: x86_64
OS Release: Fedora release 18-Beta-TC3
Comment 22 Ladislav Jozsa 2012-10-11 08:53:53 EDT
After trying to reclaim space in the automatic partitioning mode I received this traceback.

Package: anaconda-18.14
Architecture: x86_64
OS Release: Fedora release 18-Beta-TC3
Comment 23 Radek Vokal 2012-10-15 15:03:09 EDT
I tried to remove all partitions

Package: anaconda-18.12-1.fc18.i686
OS Release: Fedora release 18
Comment 24 Adam Williamson 2012-10-17 14:34:47 EDT
Discussed at 2012-10-17 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-17/f18beta-blocker-review-4.2012-10-17-16.00.log.txt . Anaconda team, this is a major blocker for Beta, it'd be great if you could get it reviewed and applied to a build ASAP, thanks!
Comment 25 Jens Petersen 2012-10-19 03:51:47 EDT
tried to remove logical volume to make space 

Package: anaconda-18.16
Architecture: x86_64
OS Release: Fedora release 18-Beta-TC4
Comment 26 Jens Petersen 2012-10-19 04:19:24 EDT
I tried now also with the F18b-smoke11 netinstall iso which I think has
anaconda-18.18 and looks to me like this might now be fixed. :)
Comment 27 Chris Lumens 2012-10-24 14:19:30 EDT
This should be fixed by 99ea40844d8a02d2c5ebff26003fdf41a9d58428, which was in anaconda-18.17-1
Comment 28 Adam Williamson 2012-10-24 14:22:02 EDT
Discussed at the 2012-10-24 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-24/f18beta-blocker-review-5.2012-10-24-16.01.log.txt .

OK. 18.19 went stable, so in theory, we can close this, but we should verify the fix first. Can anyone with a reliable reproducer for this check it?

TC4 would still have the bug, so the method would be to find a config that reliably hits this bug with TC4, then try the same config with TC6. It should be fixed.
Comment 29 Michal Kovarik 2012-10-25 02:16:43 EDT
I have reproduced this issue on TC4. I have tried same configuration on TC6 (anaconda 18.19), no traceback, successful installation.

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.